> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all orders

> List all orders



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /pos/orders
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /pos/orders:
    get:
      tags:
        - POSAdmin
      summary: List all orders
      description: List all orders
      operationId: pos-list-orders
      parameters:
        - $ref: '#/components/parameters/pageNumber'
        - $ref: '#/components/parameters/pageLimit'
        - $ref: '#/components/parameters/columnBasedFilters'
        - $ref: '#/components/parameters/sortByOptions'
        - $ref: '#/components/parameters/searchKeyword'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      orders:
                        type: array
                        items:
                          $ref: '#/components/schemas/OrderList'
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                    type: object
components:
  parameters:
    pageNumber:
      name: page
      in: query
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
      description: page number of pagination list
    pageLimit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        default: 25
        minimum: 1
      description: no of rows per page
    columnBasedFilters:
      name: filters
      in: query
      required: false
      schema:
        type: string
        example: >-
          {"condition":"AND","filters":[{"type":"data","field":"status","operator":"equals","value":"success"}]}
      description: JSON object
    sortByOptions:
      name: sort_by
      in: query
      required: false
      schema:
        description: >-
          json string in format {'field_name':'asc', 'other_field_name':'desc',
          ...}
        type: string
      description: 'JSON string format: {"field1":"asc", "field2":"desc"}'
    searchKeyword:
      name: search
      in: query
      required: false
      schema:
        type: string
      description: search keyword
  schemas:
    OrderList:
      title: OrderList
      description: order list model
      type: object
      required:
        - id
        - order_number
        - order_date
        - status
        - payment_status
        - marketplace_synced
        - payment_success_date
        - fulfillment_type
        - on_subscription
        - grand_total
        - loyalty_point_redeemed
        - credit_balance_used
        - to_be_paid
        - order_items_count
        - order_items
        - customer_id
        - customer_note
        - billing_address
        - shipping_address
        - loyalty_point_earned
        - coupon_code
        - currency
        - created_at
        - modified_at
      properties:
        id:
          description: Order id. Same as order number.
          type: string
        order_number:
          description: Unique number associated with the order.
          type: string
        order_date:
          description: Date and time when the order was placed.
          type: string
          format: date-time
        status:
          $ref: '#/components/schemas/OrderStatus'
        payment_status:
          $ref: '#/components/schemas/PaymentStatus'
        marketplace_synced:
          description: Indicates whether the order was synced from Marketplace.
          type: boolean
        payment_success_date:
          description: >-
            Date and time when the payment for the order was successfully
            processed.
          type:
            - string
            - 'null'
        fulfillment_type:
          enum:
            - collect-in-store
            - delivery
        on_subscription:
          description: Indicates whether the order includes subscription items.
          type: boolean
        grand_total:
          description: >-
            Total amount for the order, including all items, taxes, and
            discounts.
          type: number
          format: double
        loyalty_point_redeemed:
          description: Number of loyalty points redeemed in the order.
          type: number
          format: double
        credit_balance_used:
          description: Amount of credit balance used in the order.
          type: number
          format: double
        to_be_paid:
          description: Amount remaining to be paid for the order.
          type: number
          format: double
        order_items_count:
          description: Total count of items included in the order.
          type: integer
        order_items:
          type: array
          items:
            $ref: '#/components/schemas/OrderItem'
        customer_id:
          type: string
        customer_note:
          type:
            - string
            - 'null'
        billing_address:
          $ref: '#/components/schemas/CustomerAddress'
        shipping_address:
          $ref: '#/components/schemas/CustomerAddress'
        loyalty_point_earned:
          type: number
          format: double
        coupon_code:
          type:
            - string
            - 'null'
        currency:
          type: object
          properties:
            name:
              type: string
            code:
              type: string
            symbol:
              type: string
          required:
            - name
            - code
            - symbol
        sales_channel:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            type:
              type: string
          required:
            - id
            - name
            - type
        metadata:
          type:
            - object
            - 'null'
          additionalProperties:
            type: string
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
      x-tags:
        - Orders
    Pagination:
      title: Pagination
      description: pagination metadata structure
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        previous_page:
          description: Previous page number
          type:
            - integer
            - 'null'
        limit:
          type: integer
          default: 25
        next_page:
          description: Next page number
          type:
            - integer
            - 'null'
    OrderStatus:
      enum:
        - draft
        - awaiting_approval
        - confirmed
        - schedule_requested
        - partially_scheduled
        - awaiting_shipment
        - shipped
        - partially_shipped
        - undelivered
        - partially_undelivered
        - return_to_origin
        - partially_return_to_origin
        - complete
        - partially_delivered
        - cancelled
        - pending
        - lost
        - sent_to_store
        - store_rejected
    PaymentStatus:
      title: PaymentStatus
      enum:
        - pending
        - success
        - failed
        - partially_paid
        - refund_initiated
        - refunded
        - unsettled
        - settled
        - partially_settled
        - debit_scheduled
        - collection_due
    OrderItem:
      title: OrderItem
      type: object
      required:
        - sku
        - quantity
      properties:
        product_id:
          type: string
          readOnly: true
        product_name:
          type: string
          readOnly: true
        product_image_url:
          type:
            - string
            - 'null'
          readOnly: true
        sku:
          type: string
        on_offer:
          type: boolean
          readOnly: true
        on_promotion:
          type: boolean
          readOnly: true
        on_subscription:
          type: boolean
        subscription_plan:
          type:
            - string
            - 'null'
        subscription_interval:
          type:
            - integer
            - 'null'
          readOnly: true
        subscription_frequency:
          type:
            - string
            - 'null'
          readOnly: true
        quantity:
          type: integer
        free_quantity:
          type: integer
          readOnly: true
        is_free_item:
          type: boolean
          readOnly: true
        selling_price:
          type: number
          format: double
          readOnly: true
        listing_price:
          type: number
          format: double
          readOnly: true
        promotion_discount_amount:
          type: number
          format: double
          readOnly: true
        coupon_discount_amount:
          type: number
          format: double
          readOnly: true
        tax_type:
          enum:
            - GST
          readOnly: true
        tax_rate:
          type: number
          format: float
          readOnly: true
        tax_amount:
          type: number
          format: double
          readOnly: true
        handling_charge_excluding_tax:
          type: number
          format: double
          readOnly: true
        handling_charge_including_tax:
          type: number
          format: double
        handling_charge_tax_rate:
          type: number
          format: double
        variant_id:
          type:
            - string
            - 'null'
        variant_name:
          type:
            - string
            - 'null'
        seller_id:
          description: >-
            Seller ID. This field is relevant for marketplace type stores only.
            Will return null for b2b and b2c type stores.
          type:
            - string
            - 'null'
        seller_detail:
          description: >-
            Seller detail information. This field is relevant for marketplace
            type stores only. Will return null for b2b and b2c type stores.
          oneOf:
            - $ref: '#/components/schemas/SellerBasicDetail'
            - type: 'null'
      x-tags:
        - Orders
    CustomerAddress:
      title: CustomerAddress
      type: object
      required:
        - first_name
        - phone
        - email
        - address_line1
        - pincode
        - city
        - state
        - country
      properties:
        id:
          type: string
          readOnly: true
        first_name:
          type: string
        last_name:
          type:
            - string
            - 'null'
        country_code:
          description: "Two-letter code begin with a plus sign prefix that identifies different countries. By default it will be +91 if not provided.\r\n"
          type: string
        phone:
          description: 10 digit phone number without country code.
          type: string
        email:
          type:
            - string
            - 'null'
        address_line1:
          type: string
        address_line2:
          type:
            - string
            - 'null'
        landmark:
          type:
            - string
            - 'null'
        pincode:
          type: string
        city:
          type: string
        state:
          type: string
        country:
          enum:
            - India
        gstin:
          description: Use in shipping details only for third party.
          type:
            - string
            - 'null'
        business_name:
          description: Use in shipping details only for third party.
          type:
            - string
            - 'null'
        is_phone_verified:
          type: boolean
          readOnly: true
        is_email_verified:
          type: boolean
          readOnly: true
        is_default_shipping:
          type: boolean
        is_default_billing:
          type: boolean
      examples: []
      x-tags:
        - Customers
    SellerBasicDetail:
      title: SellerBasicDetail
      type: object
      properties:
        id:
          type: string
        trade_name:
          type: string
        legal_name:
          type: string
        business_type:
          $ref: '#/components/schemas/SellerBusinessType'
        tax_identification_number:
          type: string
    SellerBusinessType:
      title: SellerBusinessType
      type: string
      enum:
        - sole_proprietorship
        - private_limited
        - public_listed
        - public_limited
        - state_owned
        - charity
        - individual
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````